If ((Get-PsSnapin |?{$_.Name -eq "Microsoft.SharePoint.PowerShell"})-eq $null)
{
   	Write-Host "- Loading SharePoint Powershell Snapin"
 	Add-PsSnapin Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue | Out-Null
}

$documents = @("*.*")

Move-SPPItem `
    -SourceFolder "http://hostname/sites/thesite1/Shared Documents" `
    -TargetFolder "http://hostname/sites/thesite2/Shared Documents" `
    -Item $documents `
    -HaltOnWarning:$false `
    -IncludeTimeStamps `
    -IncludeUserInfo `
    -IncludeVersions `
    -IncludePermissions `
    -Recursive 
