If ((Get-PsSnapin |?{$_.Name -eq "Microsoft.SharePoint.PowerShell"})-eq $null)
{
   	Write-Host "- Loading SharePoint Powershell Snapin"
 	Add-PsSnapin Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue | Out-Null
}

$documents = @("Document1.doc", "Document2.pdf")

Export-SPPItem `
    -SourceUri "http://hostname/sites/site1/Shared Documents" `
    -TargetUri "SharedDocuments.zip" `
    -Item $documents `
    -IncludeVersions
