If ((Get-PsSnapin |?{$_.Name -eq "Microsoft.SharePoint.PowerShell"})-eq $null)
{
   	Write-Host "- Loading SharePoint Powershell Snapin"
 	Add-PsSnapin Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue | Out-Null;
}

$items = @("Document1.doc", "Document2.pdf", "Test/Document3.doc")

Import-SPPItem `
    -SourceUri "SharedDocuments.zip" `
    -TargetUri "http://hostname/sites/site1/Shared Documents" `
    -Item $items `
    -IncludeVersions `
    -IncludeTimeStamps `
    -IncludeUserInfo
