If ((Get-PsSnapin |?{$_.Name -eq "Microsoft.SharePoint.PowerShell"})-eq $null)
{
   	Write-Host "- Loading SharePoint Powershell Snapin"
 	Add-PsSnapin Microsoft.SharePoint.PowerShell -ErrorAction SilentlyContinue | Out-Null
}

# Allow readers to copy and export. Using full parameter names
Set-CopyMovePermissionLevel -SiteUrl http://hostname/sites/site -PermissionLevel Read -AllowCopy -AllowExport

# Allow contributors to copy, move, export and import. Using alias parameter names
Set-CopyMovePermissionLevel -Site http://hostname/sites/site -Level Contribute -Copy -Move -Export -Import

